%global momorel 1
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define gst_ver 1.4.3
%define gst_plugins_base_ver 1.4.3

Name:           farstream
Version:        0.2.7
Release: %{momorel}m%{?dist}
Summary:        Libraries for videoconferencing
Group: System Environment/Libraries
License:        LGPLv2+
URL:            http://www.freedesktop.org/wiki/Software/Farstream
Source0:        http://freedesktop.org/software/%{name}/releases/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0:         farstream-prefer-vp8.patch

BuildRequires:  libnice-devel >= 0.1.8
BuildRequires:  gstreamer1-devel >= %{gst_ver}
BuildRequires:  gstreamer1-plugins-base-devel >= %{gst_plugins_base_ver}
BuildRequires:  gupnp-igd-devel >= 0.2.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  python-devel
BuildRequires:  gstreamer-python-devel
BuildRequires:  pygobject2-devel

Requires:       gstreamer1-plugins-good >= 1.4.3
Requires:       gstreamer1-plugins-bad-free >= 1.4.3

## Obsolete farsight2 with Fedora 17.
Provides:       farsight2 = %{version}
Obsoletes:      farsight2 < 0.0.32

Obsoletes:      %{name}-python < %{version}

%description
%{name} is a collection of GStreamer modules and libraries for
videoconferencing.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gstreamer1-devel  >= %{gst_ver}
Requires:       gstreamer1-plugins-base-devel >= %{gst_plugins_base_ver}
Requires:       pkgconfig

## Obsolete farsight2 with Fedora 17.
Provides:       farsight2-devel = %{version}
Obsoletes:      farsight2-devel < 0.0.32

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
#%patch0 -p1 -b .vp8


%build
%configure                                                              \
  --with-package-name='Fedora Farstream package'                        \
  --with-package-origin='http://download.fedoraproject.org'             \
  --disable-static \
  --enable-introspection=yes
%make 


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc COPYING NEWS AUTHORS
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}-0.2
%{_libdir}/%{name}-0.2/libmulticast-transmitter.so
%{_libdir}/%{name}-0.2/libnice-transmitter.so
%{_libdir}/%{name}-0.2/librawudp-transmitter.so
%{_libdir}/%{name}-0.2/libshm-transmitter.so
%{_libdir}/gstreamer-1.0/libfsmsnconference.so
%{_libdir}/gstreamer-1.0/libfsrawconference.so
#%{_libdir}/gstreamer-1.0/libfsrtcpfilter.so
%{_libdir}/gstreamer-1.0/libfsrtpconference.so
%{_libdir}/gstreamer-1.0/libfsrtpxdata.so
%{_libdir}/gstreamer-1.0/libfsvideoanyrate.so
%{_libdir}/girepository-1.0/Farstream-0.2.typelib
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/0.2
%dir %{_datadir}/%{name}/0.2/fsrtpconference
%dir %{_datadir}/%{name}/0.2/fsrawconference
%{_datadir}/%{name}/0.2/fsrtpconference/default-codec-preferences
%{_datadir}/%{name}/0.2/fsrtpconference/default-element-properties
%{_datadir}/%{name}/0.2/fsrawconference/default-element-properties


%files devel
%{_libdir}/libfarstream-0.2.so
%{_libdir}/pkgconfig/%{name}-0.2.pc
%{_includedir}/%{name}-0.2/%{name}/
%{_datadir}/gir-1.0/Farstream-0.2.gir
%{_datadir}/gtk-doc/html/%{name}-libs-0.2/
%{_datadir}/gtk-doc/html/%{name}-plugins-0.2/


%changelog
* Mon Jan 04 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.7-1m)
- update to 0.2.7

* Fri Nov  7 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.6-2m)
- change Require for gstreamer1-plugins-bad to gstreamer1-plugins-bad-free

* Sat Oct 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.6-1m)
- copy from trunk
- update to 0.2.6

* Mon Jul 21 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.4-1m)
- update to 0.2.4
- remove python subpackage

* Sun Aug 26 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.2-2m)
- rebuild against gupnp-igd-0.2.0

* Fri Jul 06 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.2-1m)
- import from fedora
-- temporary disable introspection

